SQL-инъекция в Powie pNews

Дата публикации:
10.06.2008
Дата изменения:
10.06.2008
Всего просмотров:
858
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Powie pNews 2.x
Уязвимые версии: Powie pNews 2.10 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "shownews" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP. Пример:

http://[host]/index.php?shownews=2[SQL]

URL производителя: www.powie.de/cms/filedb/file.php?id=115&filecat=&eintrag=

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA